%global drupaldir %{_datadir}/drupal7
%global prerelease beta2

Name:      drupal7-mediawiki_api
Version:   1.0
Release:   0.7.%{prerelease}%{?dist}
Summary:   Provides a MediaWiki syntax to html conversion input filter

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/mediawiki_api
Source0:   http://ftp.drupal.org/files/projects/mediawiki_api-7.x-%{version}-%{prerelease}.tar.gz
Source1:   %{name}-fedora-README.txt
Source2:   LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7

%description
This module provides an input filter which allows the conversion
of content marked up using MediaWiki syntax to html
for display on your drupal site,
by using the parse feature of the MediaWiki API.

%prep
%setup -qn mediawiki_api
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/mediawiki_api
cp -pr * %{buildroot}%{drupaldir}/modules/mediawiki_api

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt README.txt
%exclude %{drupaldir}/modules/mediawiki_api/*.txt
%{drupaldir}/modules/mediawiki_api

%changelog
* Thu Mar 28 2013 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.7.beta2
- New upstream version.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 17 2012 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.4.beta1
- New upstream version.

* Thu May 17 2012 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.3.alpha2
- New upstream version.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.2.alpha1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 23 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.alpha1
- Initial packaging.





